#############################################################################
# Author:                                                                   #
# ------                                                                    #
#  Anton Kokalj                                  Email: Tone.Kokalj@ijs.si  #
#  Department of Physical and Organic Chemistry  Phone: x 386 1 477 3523    #
#  Jozef Stefan Institute                          Fax: x 386 1 477 3811    #
#  Jamova 39, SI-1000 Ljubljana                                             #
#  SLOVENIA                                                                 #
#                                                                           #
# Source: $XCRYSDEN_TOPDIR/Tcl/xcAbout.tcl                                       
# ------                                                                    #
# Copyright (c) 1996-2003 by Anton Kokalj                                   #
#############################################################################

proc xcAbout {} {
    global system

    set version [ReadFile $system(TOPDIR)/version]
    set text {
 =====================================================================
  About XCrySDen (version: $version)
 =====================================================================
 
 Copyright (C) 1996--2004 Anton Kokalj (Tone.Kokalj@ijs.si)
 Jozef Stefan Institute, Ljubljana, Slovenia
 
 XCrySDen was written by Anton Kokalj, following a project of Mauro
 Causa. The project was initiated because Mauro Causa and Anton Kokalj
 felt a growing need for a simple visualization tool aimed at
 displaying the crystalline structures. Programming started in 1996
 and the first implementation of the program was made available in
 1999.

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or (at
 your option) any later version.
 
 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.
}

    set text [subst $text]
    set t [xcDisplayVarText $text "XCrySDen: About"]
    if { [winfo exists $t.f1.t] } {
	catch {$t.f1.t configure -state disabled}
    }


    ## set t [xcToplevel [WidgetName] \
    ## 	    "XCrySDen: About" "XCrySDen: About" . 150 150 1]
    ## 
    ## set f1 [frame $t.f1 -relief raised -bd 2]
    ## pack $f1 -fill both -expand 1
    ## #image create photo about -format gif -file $system(BMPDIR)/xcAbout.gif
    ## label $f1.l -image  titleImg -relief sunken -bd 2
    ## pack $f1.l -padx 2m -pady 2m
    ## 
    ## #label $f1.l.1 -text "XCrySDen\n(\[X\]-Window) \[Cry\]stalline \[S\]tructures and \[Den\]sities\n Version: $version alpha" \
    ## #	     -relief raised -bd 2 \
    ## #	     -font [ModifyFont [$f1.l cget -font] $f1.l -default 1 \
    ## #	     -size 15 -weight bold]
    ## #label $f1.l.2 -text "Authors:\nAnton Kokalj (tone.kokalj@ijs.si)\n\"J. Stefan\" Institute, Ljubljana, Slovenia\n\nMauro Causa (causa@ch.unito.it)\nUniversity of Eastern Piedmont, Alessandria, Italy" \
    ## #	     -relief raised -bd 2
    ## #label $f1.l.3 -text "Copyright  1996, 1997, 1998, 1999 by Anton Kokalj" \
    ## #	     -relief raised -bd 2
    ## #label $f1.l.4 -text "Copyright  1999 by Mauro Causa" \
    ## #	     -relief raised -bd 2
    ## #place $f1.l.1 -anchor center -relx 0.5 -rely 0.15
    ## #place $f1.l.2 -anchor center -relx 0.5 -rely 0.5
    ## #place $f1.l.3 -anchor center -relx 0.5 -rely 0.8
    ## #place $f1.l.4 -anchor center -relx 0.5 -rely 0.9
    ## 
    ## frame $f1.f
    ## pack $f1.f -side bottom -fill x -expand 1
    ## DefaultButton $f1.f.b -text Close -command [list CancelProc $t]
    ## pack $f1.f.b -padx 10 -pady 10
}
