#!/bin/sh

. $XCRYSDEN_TOPDIR/tests/tests.sh

if test $# -ne 1 ; then
    echo "
Usage: $0 structures | wien | crystal | pwscf | scripting
"
    exit 1
fi

echo "
 ========================================================================
  
 Running test: $1 ...

 ========================================================================
" > $message_file

xterm -e tail -f $message_file &
pid=$!

# execute the test
$1

# kill the xterm
kill $pid
